---

- name: install prometheus
  hosts: all
  gather_facts: true
  become: true

  pre_tasks:
    - name: debug vars
      debug:
        msg: "{{ prometheus_scrape_configs }}"
      tags:
        - always

  roles:
    - role: bodsch.prometheus.prometheus
      tags:
        - monitoring_prometheus

...
